@tailwind base;
@tailwind components;

@import 'base';

@tailwind utilities;

h1 {
    @apply mb-4;
    @apply text-3xl;
    @apply text-white;
    @apply font-bold;
}

h2 {
    @apply font-bold;
    @apply text-2xl;
    @apply text-gray-900;
}

h3 {
    @apply mt-1;
    @apply text-xl;
    @apply font-bold;
}

.rich-text {
    p {
        @apply leading-relaxed;
    }

    p + p {
        @apply mt-4;
    }

    img {
        @apply mt-8;
        @apply mb-8;
    }

    h2 {
        @apply leading-tight;
    }

    * + h2 {
        @apply mt-8;
    }

    h2 + * {
        @apply mt-4;
    }

    ul {
        @apply list-disc;
        @apply ml-4;
    }

    a {
        @apply underline;
    }
}

.bg-pattern {
    background-color: #f1e6f8;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23c899e3' fill-opacity='0.4' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
}

details > details {
    @apply ml-4;
}
